Bug 88933 - Labeling of images impossible without category
Summary: Labeling of images impossible without category
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-30 10:38 UTC by Holger Jakobs
Modified: 2015-02-10 11:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Holger Jakobs 2015-01-30 10:38:15 UTC
When labeling an image a category can be chosen, like figure, table, drawing. Plus, there is the possibility to choose "<none>" at the beginning of the list.

After choosing <none>, the OK button is disabled.

The workaround is to choose something like figure and delete the part "figure 1" under the image later - although I am not sure how this might affect lists of figures one might have in the document.

(Sorry if the labeling of components and entries are not identical to the actual program. I have to translate it back into English because I use the localized version of LO.)
Comment 1 A (Andy) 2015-01-30 23:57:09 UTC
This issue is reproducible with LO 4.4.0.3, Win 8.1.

Steps to reproduce:
1. Open WRITER
2. INSERT any image (e.g. INSERT -> IMAGE)
3. Make a right mouse click on the image and go to CAPTION

Result: If you select "None" as Category, OK is deactivated.  "None" is only at the beginning selectable.  If you have selected any other type then "None" is no longer selectable.
But I do not know, when you would need/use "None"?  Is "None" necessary?  And if yes, why is then OK deactivated?

@Caolán: Can you maybe help whether this is a mistake and if yes, which type of mistake?
Comment 2 Dave Barton 2015-02-09 10:26:17 UTC
(In reply to A (Andy) from comment #1)
> This issue is reproducible with LO 4.4.0.3, Win 8.1.
> 
> But I do not know, when you would need/use "None"?  Is "None" necessary? 
> And if yes, why is then OK deactivated?
> 
> @Caolán: Can you maybe help whether this is a mistake and if yes, which type
> of mistake?

The category "None" is definitely necessary when the user does not want, or has no use for, the per-dictated categories. I use this extensively for simple captioning, or figure references (eg. Fig. 5). As a "bad" workaround it is possible to screw around with the category entry and directly post-edit the inserted caption. Hopefully, this was an accidental and not a deliberate regression. IMO the bug should be reclassified as [High] [Major]. The bug status cannot possibly remain as "UNCONFIRMED", so I am changing it to "NEW".
Comment 3 Commit Notification 2015-02-09 12:01:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fac71668ac8a32633a7ee31698c0f4fe78e4d31

Resolves: fdo#88933 Labeling of images impossible without category

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2015-02-09 12:02:18 UTC
https://gerrit.libreoffice.org/#/c/14383/ for 4-4
Comment 5 Commit Notification 2015-02-09 16:36:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7947489a5d624adab6add560429235e357ac92d&h=libreoffice-4-4

Resolves: tdf#88933 Labeling of images impossible without category

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Dave Barton 2015-02-10 11:39:21 UTC
(In reply to Commit Notification from comment #5)
> Caolán McNamara committed a patch related to this issue.
> It has been pushed to "libreoffice-4-4":
> 
> Affected users are encouraged to test the fix and report feedback.

Thanks Caolán, I am happy to confirm the fix is working correctly in:
Version: 4.4.1.0.0+
Build ID: 7ca73bc17462bca78a833e05d538d75aa6301200
TinderBox: Win-x86@51-TDF, Branch:libreoffice-4-4, Time: 2015-02-09_20:12:52